CoreNotificationType (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.core.management

## Enum CoreNotificationType

- java.lang.Object
- - java.lang.Enum<CoreNotificationType>
  - - org.apache.activemq.artemis.api.core.management.CoreNotificationType

- All Implemented Interfaces:
    Serializable, Comparable<CoreNotificationType>, NotificationType

      public enum CoreNotificationType
      extends Enum<CoreNotificationType>
      implements NotificationType

  This enum defines all core notification types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPTOR_STARTED`
    `ACCEPTOR_STOPPED`
    `BINDING_ADDED`
    `BINDING_REMOVED`
    `BRIDGE_STARTED`
    `BRIDGE_STOPPED`
    `BROADCAST_GROUP_STARTED`
    `BROADCAST_GROUP_STOPPED`
    `CLUSTER_CONNECTION_STARTED`
    `CLUSTER_CONNECTION_STOPPED`
    `CONSUMER_CLOSED`
    `CONSUMER_CREATED`
    `CONSUMER_SLOW`
    `DISCOVERY_GROUP_STARTED`
    `DISCOVERY_GROUP_STOPPED`
    `PROPOSAL`
    `PROPOSAL_RESPONSE`
    `SECURITY_AUTHENTICATION_VIOLATION`
    `SECURITY_PERMISSION_VIOLATION`
    `UNPROPOSAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()`
    `static CoreNotificationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CoreNotificationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BINDING_ADDED

          public static final CoreNotificationType BINDING_ADDED

    - #### BINDING_REMOVED

          public static final CoreNotificationType BINDING_REMOVED

    - #### CONSUMER_CREATED

          public static final CoreNotificationType CONSUMER_CREATED

    - #### CONSUMER_CLOSED

          public static final CoreNotificationType CONSUMER_CLOSED

    - #### SECURITY_AUTHENTICATION_VIOLATION

          public static final CoreNotificationType SECURITY_AUTHENTICATION_VIOLATION

    - #### SECURITY_PERMISSION_VIOLATION

          public static final CoreNotificationType SECURITY_PERMISSION_VIOLATION

    - #### DISCOVERY_GROUP_STARTED

          public static final CoreNotificationType DISCOVERY_GROUP_STARTED

    - #### DISCOVERY_GROUP_STOPPED

          public static final CoreNotificationType DISCOVERY_GROUP_STOPPED

    - #### BROADCAST_GROUP_STARTED

          public static final CoreNotificationType BROADCAST_GROUP_STARTED

    - #### BROADCAST_GROUP_STOPPED

          public static final CoreNotificationType BROADCAST_GROUP_STOPPED

    - #### BRIDGE_STARTED

          public static final CoreNotificationType BRIDGE_STARTED

    - #### BRIDGE_STOPPED

          public static final CoreNotificationType BRIDGE_STOPPED

    - #### CLUSTER_CONNECTION_STARTED

          public static final CoreNotificationType CLUSTER_CONNECTION_STARTED

    - #### CLUSTER_CONNECTION_STOPPED

          public static final CoreNotificationType CLUSTER_CONNECTION_STOPPED

    - #### ACCEPTOR_STARTED

          public static final CoreNotificationType ACCEPTOR_STARTED

    - #### ACCEPTOR_STOPPED

          public static final CoreNotificationType ACCEPTOR_STOPPED

    - #### PROPOSAL

          public static final CoreNotificationType PROPOSAL

    - #### PROPOSAL_RESPONSE

          public static final CoreNotificationType PROPOSAL_RESPONSE

    - #### UNPROPOSAL

          public static final CoreNotificationType UNPROPOSAL

    - #### CONSUMER_SLOW

          public static final CoreNotificationType CONSUMER_SLOW

  - ### Method Detail

    - #### values

          public static CoreNotificationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CoreNotificationType c : CoreNotificationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CoreNotificationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getType

          public int getType()

      Specified by:
        `getType` in interface `NotificationType`

Copyright © 2015. All rights reserved.